<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum AssignmentStatus: string
{
    use HasValues;

    case Open = 'open';
    case Closed = 'closed';

    public function label(): string
    {
        return match ($this) {
            self::Open => 'Dibuka',
            self::Closed => 'Ditutup',
        };
    }
}
